Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.movies.media
Class MusicDescription

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.std.movies.media.SampleDescription
                        |
                        +--quicktime.std.movies.media.MusicDescription

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class MusicDescription
extends SampleDescription
implements quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib

This class maps the MusicDescription record of the MovieToolbox. MusicDescriptions are used when adding and getting media samples to/from Music tracks.

Fields inherited from class quicktime.std.movies.media.SampleDescription
`kNativeSize`

Fields inherited from interface quicktime.jdirect.InterfaceLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`MusicDescription()` This constructor makes a new MusicDescription object.

Method Summary
`java.lang.Object` | `clone()` Implementation of Cloneable Interface.
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`int` | `getMusicFlags()`
`MusicData` | `getTuneHeader()` Returns a copy of the TuneHeader MusicHeader data
`void` | `setMusicFlags(int flags)`
`void` | `setTuneHeader(MusicData mh)` Sets the MusicHeader for the TunePlayer or MusicMedia insertion.

Methods inherited from class quicktime.std.movies.media.SampleDescription
`fromMovieImporter, getDataFormat, getDataRefIndex, getSize, setDataFormat, setDataRefIndex, setSize, toString`

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MusicDescription

    public MusicDescription()
                     throws QTException

  This constructor makes a new MusicDescription object.

Method Detail

### getEndianDescriptor

    public static EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### clone

    public java.lang.Object clone()

  Implementation of Cloneable Interface.
  Overrides:
    `clone` in class `SampleDescription`

### setMusicFlags

    public void setMusicFlags(int flags)

### getMusicFlags

    public int getMusicFlags()

### getTuneHeader

    public MusicData getTuneHeader()
                            throws QTException

  Returns a copy of the TuneHeader MusicHeader data
  Parameters:
    `the` - MusicHeader

### setTuneHeader

    public void setTuneHeader(MusicData mh)
                       throws StdQTException

  Sets the MusicHeader for the TunePlayer or MusicMedia insertion. This will overwrite any preceeding tune header that the description contained.
  Parameters:
    `th` - the MusicHeader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD